Prepend # automatically to IRC channel names if no prefix was specified

RESOLVED FIXED in 1.4

Status

Chat Core
IRC
--
enhancement
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: florian, Assigned: florian)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(1 attachment, 1 obsolete attachment)

(Assignee)

Description

4 years ago
*** Original post on bio 909 at 2011-07-10 18:14:00 UTC ***

We just discussed this on IRC:
http://log.bezut.info/instantbird/110710/#m205
(Assignee)

Updated

4 years ago
Blocks: 953944
(Assignee)

Updated

4 years ago
Summary: Prepend # automatically to channel names if no prefix was specified → Prepend # automatically to IRC channel names if no prefix was specified
No longer blocks: 953944
Depends on: 953944
*** Original post on bio 909 at 2012-02-27 15:37:55 UTC ***

Moving IRC bugs to new IRC component.
Component: General → IRC
(Assignee)

Comment 2

4 years ago
Created attachment 8354011 [details] [diff] [review]
Patch

*** Original post on bio 909 as attmnt 2247 at 2013-02-28 14:41:00 UTC ***

This is the patch just discussed on IRC. Completely untested.
Attachment #8354011 - Flags: review?(clokep)
(Assignee)

Updated

4 years ago
Assignee: nobody → florian
Comment on attachment 8354011 [details] [diff] [review]
Patch

*** Original change on bio 909 attmnt 2247 at 2013-02-28 14:47:23 UTC ***

I'd like a comment above this saying that we're assuming # if the prefix the user wanted if they don't include one (maybe for parity of broken behavior of other clients).
Attachment #8354011 - Flags: review?(clokep) → review-
(Assignee)

Comment 4

4 years ago
Created attachment 8354012 [details] [diff] [review]
Patch v2

*** Original post on bio 909 as attmnt 2248 at 2013-02-28 22:33:00 UTC ***

This time I tested it! :-)
Attachment #8354012 - Flags: review?(clokep)
(Assignee)

Comment 5

4 years ago
Comment on attachment 8354011 [details] [diff] [review]
Patch

*** Original change on bio 909 attmnt 2247 at 2013-02-28 22:33:50 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354011 - Attachment is obsolete: true
Comment on attachment 8354012 [details] [diff] [review]
Patch v2

*** Original change on bio 909 attmnt 2248 at 2013-02-28 22:55:08 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354012 - Flags: review?(clokep) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 909 at 2013-02-28 23:45:26 UTC ***

Committed as http://hg.instantbird.org/instantbird/rev/67181cd06826
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.